Robo2.Log("Script: " + SCRIPT_FILE)

for (var i = 0; i < Robo2.SelectedWells.Count; i++)
{
	var WellIndex = Robo2.SelectedWells[i];

	Robo2.Log("Recording oocyte in well: " + Robo2.SelectedWellNames[i]);
	Robo2.MoveToWell(WellIndex);
	
	Robo2.ZMoveToLiquid();
	Robo2.ZMoveToOocyte();
	
	Robo2.Log("Voltage clamp mode at -40 mV");
	Robo2.SetHoldingVoltage(-40);
	Robo2.SetVoltageClamp();
	
	Robo2.SetDriftCorrectionROI(1, 11);
	Robo2.SetBaselineROI(2, 3);
	Robo2.SetAnalysisROI(5, 8);
	
	RecDisplay.SetXAxis(0, 12);
	
	Robo2.Log("Starting Recording");
		
	Robo2.StartRecording()
	
	Robo2.TransmitRecording(REC_TAG_VOLTAGE);
	Robo2.TransmitVoltage(-60);
	
	Robo2.Wait(4);
	Robo2.SetHoldingVoltage(-60);
	Robo2.Wait(4);
	Robo2.SetHoldingVoltage(-45);
	Robo2.Wait(4);
	Robo2.StopRecording()
	
	
}

