// Movement_Example.js
// Copyright 2011 by Multi Channel Systems MCS GmbH
// demonstrates Roboocyte2 carrier and axis movement, also within the oocyte loop

Robo2.Log("Moving to Alignment Position:");
Robo2.Log("x: " + Robo2.ALIGNMENT_X + ", y: " + Robo2.ALIGNMENT_Y + ", z: " + Robo2.ALIGNMENT_Z);

Robo2.Log("Moving to Park Position");
Robo2.Wait(2);
Robo2.MoveToParkPos();

Robo2.Log("Moving to Change Plate Position");
Robo2.Wait(2);
Robo2.MoveToChangePlatePos();

Robo2.Log("Moving to Coarse Position");
Robo2.Wait(2);
Robo2.MoveToCoarsePos();

Robo2.Log("Moving to Home Position");
Robo2.MoveToHomePos();
Robo2.Wait(1);

// move carrier and z axis
for (var i = 0; i < Robo2.SelectedWells.Count; i++)
{
	var WellIndex = Robo2.SelectedWells[i];
	
	Robo2.Log("Moving to Selected Well");
	Robo2.Wait(2);
	Robo2.MoveToWell(WellIndex);
	
	Robo2.Log("Moving Z-axis to Liquid Position");
	Robo2.Wait(2);
	Robo2.ZMoveToLiquid();
	
	Robo2.Log("Moving Z-axis to Oocyte Position");
	Robo2.Wait(2);
	Robo2.ZMoveToOocyte();
	
	Robo2.Log("Moving Z-axis to Home Position");
	Robo2.Wait(2);
	Robo2.ZMoveHome();
	
}

Robo2.MoveToParkPos();

