Robo2.Log("Script: " + SCRIPT_FILE);

Robo2.Information("The selected oocytes are now recorded");

for (var i = 0; i < Robo2.SelectedWells.Count; i++)
{
	Robo2.Wait(2);
	var WellIndex = Robo2.SelectedWells[i];
	Robo2.Log("Now moving to well " + Robo2.SelectedWellNames[i]);
	Robo2.MoveToWell(WellIndex);	
	Robo2.ZMoveToLiquid();
	Robo2.Wait(1);
	Robo2.ZMoveToOocyte();
	Robo2.Wait(1);
	
	Robo2.Log("Voltage clamp mode at -40 mV");
	Robo2.SetHoldingVoltage(-40);
	Robo2.SetVoltageClamp();

	if (Robo2.Question("Do you really want to start the recording?"))
	{
		RecDisplay.Clear();
		RecDisplay.TrackYMin(true);
		RecDisplay.TrackYMax(true);
	
		Robo2.Log("Starting Recording");
		RecDisplay.SetXAxis(0, 5);
		Robo2.StartRecording();
		Robo2.Wait(5);
		Robo2.StopRecording();
	}
	else
	{
		if (Robo2.Question("Do you want to abort the oocyte recordings?"))
		{
			Robo2.Log("oocyte loop aborted");
			break;
		}
	}	
}

